methods:
  post:
    - connexionlight_id
    - connexionlight_password
    - connexionlight_stay_connected

fillin:
  enabled: true
  param:
   check_types:     [ text, hidden, checkbox ]

names:
  connexionlight_id:
    required:     true
    required_msg: identifiant (email) obligatoire
    validators:   [ MyEmailValidator, MyLoginValidator ]

  connexionlight_password:
    required:     true
    required_msg: mot de passe obligatoire
    validators:   []

  connexionlight_stay_connected:
    required:     false

MyEmailValidator:
    class:           sfEmailValidator
    param:
      strict:        true
      email_error:   cette adresse email n'est pas valide    

MyLoginValidator:
    class:         MyLoginValidator
    param:
      password:    connexionlight_password
      remember:    connexionlight_stay_connected
      login_error: Ce courriel n'existe pas ou vous avez entré un mauvais mot de passe    